Package uk.ac.starlink.task

# Class LineWord

java.lang.Object
uk.ac.starlink.task.LineWord

public class LineWord extends Object
Represents a single word on the command line used as by LineEnvironment.

Since:
  27 Nov 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LineWord(String text)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the parameter name represented by this word.
`String`
`getText()`
Returns the full text of the original command-line argument.
`String`
`getValue()`
Returns the parameter value represented by this word.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineWord

public LineWord(String text)
Constructor. The supplied text should be either of the form `name=value` or, for positionally-determined parameters, just `value`.

Parameters:
  `text` - command-line argument

## Method Details

### getName

public String getName()
Returns the parameter name represented by this word. May be null if none was specified.

Returns:
  parameter name

### getValue

public String getValue()
Returns the parameter value represented by this word.

Returns:
  parameter value

### getText

public String getText()
Returns the full text of the original command-line argument.

Returns:
  command-line argument

### toString

public String toString()

Overrides:
  `toString` in class `Object`